<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Index &mdash; AIoD Broker 0.01 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=6ca3c713"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
        <script src="_static/custom.js?v=45d98342"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            AIoD Broker
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="introduction.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="architecture.html">Architecture</a><ul>
<li class="toctree-l2"><a class="reference internal" href="context.html">Context Diagram</a></li>
<li class="toctree-l2"><a class="reference internal" href="container.html">Container Diagram</a></li>
<li class="toctree-l2"><a class="reference internal" href="component.html">Component Diagram</a></li>
<li class="toctree-l2"><a class="reference internal" href="data_flow.html">Data Flow Chart</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="setup_deployment.html">Setup/Deployment</a><ul>
<li class="toctree-l2"><a class="reference internal" href="prerequisites.html">Prerequisites</a><ul>
<li class="toctree-l3"><a class="reference internal" href="prerequisites.html#aiod-api-installation">AIoD API Installation</a></li>
<li class="toctree-l3"><a class="reference internal" href="prerequisites.html#repository-installation">Repository Installation</a></li>
<li class="toctree-l3"><a class="reference internal" href="prerequisites.html#configuration">Configuration</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="deployment.html">Docker Deployment</a><ul>
<li class="toctree-l3"><a class="reference internal" href="deployment.html#service-information">Service Information</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="installation.html">Native Installation</a><ul>
<li class="toctree-l3"><a class="reference internal" href="installation.html#python-environment-and-nodejs-setup">Python Environment and NodeJS Setup</a><ul>
<li class="toctree-l4"><a class="reference internal" href="installation.html#using-virtualenv">Using Virtualenv</a></li>
<li class="toctree-l4"><a class="reference internal" href="installation.html#using-conda">Using Conda</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="documentation.html">Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="app_services.html">Services</a><ul>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.add_dataset"><code class="docutils literal notranslate"><span class="pre">add_dataset()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.convert_date_to_iso_format"><code class="docutils literal notranslate"><span class="pre">convert_date_to_iso_format()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.fetch_dataset"><code class="docutils literal notranslate"><span class="pre">fetch_dataset()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.generate_string"><code class="docutils literal notranslate"><span class="pre">generate_string()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.get_platform_id_by_dataset_name"><code class="docutils literal notranslate"><span class="pre">get_platform_id_by_dataset_name()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.keycloak_openid"><code class="docutils literal notranslate"><span class="pre">keycloak_openid()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.logging"><code class="docutils literal notranslate"><span class="pre">logging()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.login"><code class="docutils literal notranslate"><span class="pre">login()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.parse2payload"><code class="docutils literal notranslate"><span class="pre">parse2payload()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.publish"><code class="docutils literal notranslate"><span class="pre">publish()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.readAIODglossary"><code class="docutils literal notranslate"><span class="pre">readAIODglossary()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.remove_dataset"><code class="docutils literal notranslate"><span class="pre">remove_dataset()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.send_dataset_to_platform"><code class="docutils literal notranslate"><span class="pre">send_dataset_to_platform()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.set_nested_value"><code class="docutils literal notranslate"><span class="pre">set_nested_value()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.translate2AIoD"><code class="docutils literal notranslate"><span class="pre">translate2AIoD()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.update_dataset_to_platform"><code class="docutils literal notranslate"><span class="pre">update_dataset_to_platform()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.update_modify_date_entry"><code class="docutils literal notranslate"><span class="pre">update_modify_date_entry()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_services.html#app.services.user_exists"><code class="docutils literal notranslate"><span class="pre">user_exists()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="app_routing.html">Routes</a><ul>
<li class="toctree-l3"><a class="reference internal" href="app_routing.html#app.routes.get_dataset"><code class="docutils literal notranslate"><span class="pre">get_dataset()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_routing.html#app.routes.index"><code class="docutils literal notranslate"><span class="pre">index()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_routing.html#app.routes.login"><code class="docutils literal notranslate"><span class="pre">login()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_routing.html#app.routes.publish"><code class="docutils literal notranslate"><span class="pre">publish()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="app_routing.html#app.routes.translate_metadata"><code class="docutils literal notranslate"><span class="pre">translate_metadata()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">AIoD Broker</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content style-external-links">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Index</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#K"><strong>K</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.add_dataset">add_dataset() (in module app.services)</a>
</li>
      <li>
    app.routes

      <ul>
        <li><a href="app_routing.html#module-app.routes">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    app.services

      <ul>
        <li><a href="app_services.html#module-app.services">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.convert_date_to_iso_format">convert_date_to_iso_format() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.fetch_dataset">fetch_dataset() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.generate_string">generate_string() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_routing.html#app.routes.get_dataset">get_dataset() (in module app.routes)</a>
</li>
      <li><a href="app_services.html#app.services.get_platform_id_by_dataset_name">get_platform_id_by_dataset_name() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_routing.html#app.routes.index">index() (in module app.routes)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="K">K</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.keycloak_openid">keycloak_openid() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.logging">logging() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_routing.html#app.routes.login">login() (in module app.routes)</a>

      <ul>
        <li><a href="app_services.html#app.services.login">(in module app.services)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    module

      <ul>
        <li><a href="app_routing.html#module-app.routes">app.routes</a>
</li>
        <li><a href="app_services.html#module-app.services">app.services</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.parse2payload">parse2payload() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_routing.html#app.routes.publish">publish() (in module app.routes)</a>

      <ul>
        <li><a href="app_services.html#app.services.publish">(in module app.services)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.readAIODglossary">readAIODglossary() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.remove_dataset">remove_dataset() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.send_dataset_to_platform">send_dataset_to_platform() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.set_nested_value">set_nested_value() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.translate2AIoD">translate2AIoD() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_routing.html#app.routes.translate_metadata">translate_metadata() (in module app.routes)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.update_dataset_to_platform">update_dataset_to_platform() (in module app.services)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="app_services.html#app.services.update_modify_date_entry">update_modify_date_entry() (in module app.services)</a>
</li>
      <li><a href="app_services.html#app.services.user_exists">user_exists() (in module app.services)</a>
</li>
  </ul></td>
</tr></table>



           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024 University College Cork.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>